

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>AM6 Peripheral IRQ Destination Descriptions &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 5: SoC Family Specific Documentation" href="../index.html"/>
        <link rel="next" title="AM6 Navigator Subsystem Descriptions" href="navss.html"/>
        <link rel="prev" title="AM6 Peripheral IRQ Source Descriptions" href="irq_sources.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                19.07.00
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 5: SoC Family Specific Documentation</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#am6-soc-family">AM6 SoC Family</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="hosts.html">AM6 Host Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="devices.html">AM6 Devices Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="clocks.html">AM6 Clock Identifiers</a></li>
<li class="toctree-l3"><a class="reference internal" href="resasg_types.html">AM6 Board Configuration Resource Assignment Type Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="irq_sources.html">AM6 Peripheral IRQ Source Descriptions</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">AM6 Peripheral IRQ Destination Descriptions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#enumeration-of-irq-destination-ids">Enumeration of IRQ Destination IDs</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="navss.html">AM6 Navigator Subsystem Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="sec_proxy.html">AM6 Secure Proxy Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="processors.html">AM6 Processor Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewalls.html">AM6 Firewall Descriptions</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721e-soc-family">J721E SoC Family</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 5: SoC Family Specific Documentation</a> &raquo;</li>
      
    <li>AM6 Peripheral IRQ Destination Descriptions</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="am6-peripheral-irq-destination-descriptions">
<h1>AM6 Peripheral IRQ Destination Descriptions<a class="headerlink" href="#am6-peripheral-irq-destination-descriptions" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information on destination host processor input IRQs
that are permitted in the am6 SoC. The interrupt route IRQ inputs represent
elements within the SoC host processor interrupt controllers capable of
terminating an interrupt route signal.  The System Firmware IRQ management
TISCI message APIs take destination host processor IRQs as inputs to set and
release IRQ routes between source peripherals and destination host processors.</p>
<p>The below table lists all destination host processor IRQ input IDs in the am6
SoC.</p>
</div>
<div class="section" id="enumeration-of-irq-destination-ids">
<h2>Enumeration of IRQ Destination IDs<a class="headerlink" href="#enumeration-of-irq-destination-ids" title="Permalink to this headline">¶</a></h2>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">Resources marked as reserved for use by DMSC <strong>cannot</strong> be assigned to a
host within the RM Board Configuration resource assignment array.  The
RM Board Configuration is rejected if an overlap with a reserved resouce
is detected.</p>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="15%" />
<col width="29%" />
<col width="20%" />
<col width="37%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Destination
Device ID</th>
<th class="head">Destination Device Name</th>
<th class="head">Destination IRQ
Input Range</th>
<th class="head">Destination IRQ
Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>56</td>
<td>AM6_DEV_GIC0</td>
<td>64 - 79</td>
<td>GIC IRQ inputs from Main
Navigator
(<strong>Reserved for use by DMSC</strong>)</td>
</tr>
<tr class="row-odd"><td>56</td>
<td>AM6_DEV_GIC0</td>
<td>80 - 127</td>
<td>GIC IRQ inputs from Main
Navigator</td>
</tr>
<tr class="row-even"><td>56</td>
<td>AM6_DEV_GIC0</td>
<td>392 - 423</td>
<td>GIC IRQ inputs from Main GPIO
IR</td>
</tr>
<tr class="row-odd"><td>56</td>
<td>AM6_DEV_GIC0</td>
<td>448 - 503</td>
<td>GIC IRQ inputs from Main
Navigator</td>
</tr>
<tr class="row-even"><td>56</td>
<td>AM6_DEV_GIC0</td>
<td>544 - 559</td>
<td>GIC IRQ inputs from Compare
event IR</td>
</tr>
<tr class="row-odd"><td>56</td>
<td>AM6_DEV_GIC0</td>
<td>712 - 727</td>
<td>GIC IRQ inputs from Wakeup
GPIO IR</td>
</tr>
<tr class="row-even"><td>62</td>
<td>AM6_DEV_PRU_ICSSG0</td>
<td>46 - 53</td>
<td>ICSSG0 IRQ inputs from Main
Navigator</td>
</tr>
<tr class="row-odd"><td>62</td>
<td>AM6_DEV_PRU_ICSSG0</td>
<td>88 - 95</td>
<td>ICSSG0 IRQ inputs from Main
GPIO IR</td>
</tr>
<tr class="row-even"><td>63</td>
<td>AM6_DEV_PRU_ICSSG1</td>
<td>46 - 53</td>
<td>ICSSG1 IRQ inputs from Main
Navigator</td>
</tr>
<tr class="row-odd"><td>63</td>
<td>AM6_DEV_PRU_ICSSG1</td>
<td>88 - 95</td>
<td>ICSSG1 IRQ inputs from Main
GPIO IR</td>
</tr>
<tr class="row-even"><td>64</td>
<td>AM6_DEV_PRU_ICSSG2</td>
<td>46 - 53</td>
<td>ICSSG2 IRQ inputs from Main
Navigator</td>
</tr>
<tr class="row-odd"><td>64</td>
<td>AM6_DEV_PRU_ICSSG2</td>
<td>88 - 95</td>
<td>ICSSG2 IRQ inputs from Main
GPIO IR</td>
</tr>
<tr class="row-even"><td>159</td>
<td>AM6_DEV_MCU_ARMSS0_CPU0</td>
<td>64 - 67</td>
<td>Pulsar core 0 VIM IRQ inputs
from MCU Navigator
(<strong>Reserved for use by DMSC</strong>)</td>
</tr>
<tr class="row-odd"><td>159</td>
<td>AM6_DEV_MCU_ARMSS0_CPU0</td>
<td>68 - 95</td>
<td>Pulsar core 0 VIM IRQ inputs
from MCU Navigator</td>
</tr>
<tr class="row-even"><td>159</td>
<td>AM6_DEV_MCU_ARMSS0_CPU0</td>
<td>124 - 139</td>
<td>Pulsar core 0 VIM IRQ inputs
from Wakeup GPIO IR</td>
</tr>
<tr class="row-odd"><td>159</td>
<td>AM6_DEV_MCU_ARMSS0_CPU0</td>
<td>160 - 223</td>
<td>Pulsar core 0 VIM IRQ inputs
from Main2MCU level IR</td>
</tr>
<tr class="row-even"><td>159</td>
<td>AM6_DEV_MCU_ARMSS0_CPU0</td>
<td>224 - 271</td>
<td>Pulsar core 0 VIM IRQ inputs
from Main2MCU pulse IR</td>
</tr>
<tr class="row-odd"><td>245</td>
<td>AM6_DEV_MCU_ARMSS0_CPU1</td>
<td>64 - 67</td>
<td>Pulsar core 1 VIM IRQ inputs
from MCU Navigator
(<strong>Reserved for use by DMSC</strong>)</td>
</tr>
<tr class="row-even"><td>245</td>
<td>AM6_DEV_MCU_ARMSS0_CPU1</td>
<td>68 - 95</td>
<td>Pulsar core 1 VIM IRQ inputs
from MCU Navigator</td>
</tr>
<tr class="row-odd"><td>245</td>
<td>AM6_DEV_MCU_ARMSS0_CPU1</td>
<td>124 - 139</td>
<td>Pulsar core 1 VIM IRQ inputs
from Wakeup GPIO IR</td>
</tr>
<tr class="row-even"><td>245</td>
<td>AM6_DEV_MCU_ARMSS0_CPU1</td>
<td>160 - 223</td>
<td>Pulsar core 1 VIM IRQ inputs
from Main2MCU level IR</td>
</tr>
<tr class="row-odd"><td>245</td>
<td>AM6_DEV_MCU_ARMSS0_CPU1</td>
<td>224 - 271</td>
<td>Pulsar core 1 VIM IRQ inputs
from Main2MCU pulse IR</td>
</tr>
</tbody>
</table>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="navss.html" class="btn btn-neutral float-right" title="AM6 Navigator Subsystem Descriptions" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="irq_sources.html" class="btn btn-neutral" title="AM6 Peripheral IRQ Source Descriptions" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2019</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'19.07.00',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>